Package Details: nordvpn-live-bin 4.6.0-1

Git Clone URL: https://aur.archlinux.org/nordvpn-live-bin.git (read-only, click to copy)
Package Base: nordvpn-live-bin
Description: NordVPN CLI/GUI tool for Linux (Live version)
Upstream URL: https://nordvpn.com/download/linux/
Keywords: nordvpn nordvpn-cli nordvpn-gui openvpn vpn
Licenses: GPL3
Conflicts: openvpn-nordvpn
Provides: nordvpn
Submitter: ja7ad
Maintainer: ja7ad
Last Packager: ja7ad
Votes: 1
Popularity: 0.052506
First Submitted: 2026-02-22 10:14 (UTC)
Last Updated: 2026-04-21 02:00 (UTC)

Dependencies (1)

  • nordvpn-guiAUR (optional) – Graphical Interface for NordVPN

Required by (4)

Sources (1)

Latest Comments

zwog commented on 2026-05-03 19:30 (UTC)

What exactly is this "Live version"? There is no release called "live" at https://nordvpn.com/download/linux/

How does it differ from nordvpn-bin (https://aur.archlinux.org/packages/nordvpn-bin)? It seems to download and install the exact same package (for x86_64)

PseudoSpock commented on 2026-04-15 21:50 (UTC)

A script to grab all the available platform version hashes:

pkgver=4.5.0
base='https://repo.nordvpn.com/deb/nordvpn/debian/pool/main/n/nordvpn'

declare -A map=(
  [amd64]=sha256sums_x86_64
  [i386]=sha256sums_i686
  [armhf]=sha256sums_armv7h
  [arm64]=sha256sums_aarch64
  [armel]=sha256sums_armeabi
)

for arch in amd64 i386 armhf arm64 armel; do
  url="${base}/nordvpn_${pkgver}_${arch}.deb"
  echo "Checking $arch ..." >&2
  hash=$(curl -4 -L --progress-bar --connect-timeout 10 --max-time 300 --retry 2 "$url" | sha256sum | awk '{print $1}') || {
    echo "FAILED: $arch" >&2
    continue
  }
  printf "%s=('%s')\n" "${map[$arch]}" "$hash"
done

PseudoSpock commented on 2026-04-15 21:47 (UTC)

❯ pacman -Ql nordvpn-live-bin
nordvpn-live-bin /etc/
nordvpn-live-bin /usr/
nordvpn-live-bin /usr/bin/
nordvpn-live-bin /usr/bin/nordvpn
nordvpn-live-bin /usr/bin/nordvpnd
nordvpn-live-bin /usr/lib/
nordvpn-live-bin /usr/lib/nordvpn/
nordvpn-live-bin /usr/lib/nordvpn/libmoosenordvpnapp.so
nordvpn-live-bin /usr/lib/nordvpn/libmooseworker.so
nordvpn-live-bin /usr/lib/nordvpn/libnorddrop.so
nordvpn-live-bin /usr/lib/nordvpn/libquench.so
nordvpn-live-bin /usr/lib/nordvpn/libtelio.so
nordvpn-live-bin /usr/lib/nordvpn/nordfileshare
nordvpn-live-bin /usr/lib/nordvpn/norduserd
nordvpn-live-bin /usr/lib/nordvpn/openvpn
nordvpn-live-bin /usr/lib/systemd/
nordvpn-live-bin /usr/lib/systemd/system/
nordvpn-live-bin /usr/lib/systemd/system/nordvpn.service
nordvpn-live-bin /usr/lib/systemd/system/nordvpnd.service
nordvpn-live-bin /usr/lib/systemd/system/nordvpnd.socket
nordvpn-live-bin /usr/lib/sysusers.d/
nordvpn-live-bin /usr/lib/sysusers.d/nordvpn-live-bin.conf
nordvpn-live-bin /usr/lib/tmpfiles.d/
nordvpn-live-bin /usr/lib/tmpfiles.d/nordvpn.conf
nordvpn-live-bin /usr/share/
nordvpn-live-bin /usr/share/applications/
nordvpn-live-bin /usr/share/applications/nordvpn.desktop
nordvpn-live-bin /usr/share/bash-completion/
nordvpn-live-bin /usr/share/bash-completion/completions/
nordvpn-live-bin /usr/share/bash-completion/completions/nordvpn
nordvpn-live-bin /usr/share/doc/
nordvpn-live-bin /usr/share/doc/nordvpn/
nordvpn-live-bin /usr/share/doc/nordvpn/changelog.Debian.gz
nordvpn-live-bin /usr/share/icons/
nordvpn-live-bin /usr/share/icons/hicolor/
nordvpn-live-bin /usr/share/icons/hicolor/scalable/
nordvpn-live-bin /usr/share/icons/hicolor/scalable/apps/
nordvpn-live-bin /usr/share/icons/hicolor/scalable/apps/nordvpn-tray-black.svg
nordvpn-live-bin /usr/share/icons/hicolor/scalable/apps/nordvpn-tray-blue.svg
nordvpn-live-bin /usr/share/icons/hicolor/scalable/apps/nordvpn-tray-gray.svg
nordvpn-live-bin /usr/share/icons/hicolor/scalable/apps/nordvpn-tray-white.svg
nordvpn-live-bin /usr/share/icons/hicolor/scalable/apps/nordvpn.svg
nordvpn-live-bin /usr/share/licenses/
nordvpn-live-bin /usr/share/licenses/nordvpn/
nordvpn-live-bin /usr/share/licenses/nordvpn/LICENSE.md
nordvpn-live-bin /usr/share/licenses/nordvpn/THIRD-PARTY-NOTICES.md
nordvpn-live-bin /usr/share/man/
nordvpn-live-bin /usr/share/man/man1/
nordvpn-live-bin /usr/share/man/man1/nordvpn.1.gz
nordvpn-live-bin /usr/share/zsh/
nordvpn-live-bin /usr/share/zsh/functions/
nordvpn-live-bin /usr/share/zsh/functions/Completion/
nordvpn-live-bin /usr/share/zsh/functions/Completion/Unix/
nordvpn-live-bin /usr/share/zsh/functions/Completion/Unix/_nordvpn_auto_complete
nordvpn-live-bin /var/
nordvpn-live-bin /var/lib/
nordvpn-live-bin /var/lib/nordvpn/
nordvpn-live-bin /var/lib/nordvpn/data/
nordvpn-live-bin /var/lib/nordvpn/data/countries.dat
nordvpn-live-bin /var/lib/nordvpn/data/cybersec.dat
nordvpn-live-bin /var/lib/nordvpn/data/insights.dat
nordvpn-live-bin /var/lib/nordvpn/data/ovpn_template.xslt
nordvpn-live-bin /var/lib/nordvpn/data/ovpn_xor_template.xslt
nordvpn-live-bin /var/lib/nordvpn/data/servers.dat

PseudoSpock commented on 2026-04-15 21:45 (UTC) (edited on 2026-04-15 21:46 (UTC) by PseudoSpock)

Support for all the other platforms:

❯ git diff
diff --git a/PKGBUILD b/PKGBUILD
index 1fe5ef2..2952ae6 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
 pkgname=nordvpn-live-bin
 _pkgver=4.5.0
 pkgver=4.5.0
-pkgrel=1
+pkgrel=2
 pkgdesc="NordVPN CLI/GUI tool for Linux (Live version)"
 arch=('x86_64' 'i686' 'armv7h' 'aarch64' 'armeabi')
 url="https://nordvpn.com/download/linux/"
@@ -25,7 +25,29 @@ esac
 _deb="nordvpn_${_pkgver//_/-}_${_arch}.deb"
 source=("https://repo.nordvpn.com/deb/nordvpn/debian/pool/main/n/nordvpn/${_deb}")

-sha256sums=('6de9093b384b1b016c611b8f6a000dc1476ec82b9f694e17a093f05a8067891f')
+case "$CARCH" in
+  x86_64)
+    _sha256sum='6de9093b384b1b016c611b8f6a000dc1476ec82b9f694e17a093f05a8067891f'
+    ;;
+  i686)
+    _sha256sum='b04e889763c7c6f2ef1fcc2e5d61dadfddb66931d036989558cb28c81a14c2bb'
+    ;;
+  armv7h)
+    _sha256sum='259959bcaf882f518db16bfce4e6f225b3309c487cbecc4432e0fdfd1210aafc'
+    ;;
+  aarch64)
+    _sha256sum='c496290918508d509c021e7a55081d79171a9c3846251e3160a980cf69adafd2'
+    ;;
+  armeabi)
+    _sha256sum='ebf9b8c3939e713dd3eaf50ba416393bd8ee3204a105b94c0aab93dd5b706bf9'
+    ;;
+  *)
+    echo "Unsupported architecture: $CARCH"
+    exit 1
+    ;;
+esac
+
+sha256sums=("$_sha256sum")

 package() {
   bsdtar -xf "${srcdir}/${_deb}" -C "${srcdir}"
@@ -45,4 +67,4 @@ package() {

   install -dm755 "${pkgdir}/usr/lib/sysusers.d/"
   echo "g nordvpn - -" > "${pkgdir}/usr/lib/sysusers.d/${pkgname}.conf"
-}
+}
\ No newline at end of file



Build result from an ARM64 Arch linux vm:

❯ makepkg -C
==> Making package: nordvpn-live-bin 4.5.0-2 (Wed 15 Apr 2026 02:39:11 PM PDT)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found nordvpn_4.5.0_arm64.deb
==> Validating source files with sha256sums...
    nordvpn_4.5.0_arm64.deb ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting nordvpn_4.5.0_arm64.deb with bsdtar
==> Entering fakeroot environment...
==> Starting package()...
==> Tidying install...
  -> Removing libtool files...
  -> Purging unreproducible ruby files...
  -> Removing static library files...
  -> Purging unwanted files...
  -> Stripping unneeded symbols from binaries and libraries...
  -> Compressing man and info pages...
==> Checking for packaging issues...
==> Creating package "nordvpn-live-bin"...
  -> Generating .PKGINFO file...
  -> Generating .BUILDINFO file...
  -> Adding install file...
  -> Generating .MTREE file...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: nordvpn-live-bin 4.5.0-2 (Wed 15 Apr 2026 02:39:23 PM PDT)
makepkg -C  35.71s user 1.86s system 277% cpu 13.543 total
❯ sudo pacman -U ./nordvpn-live-bin-4.5.0-2-aarch64.pkg.tar.xz
loading packages...
resolving dependencies...
looking for conflicting packages...

Packages (1) nordvpn-live-bin-4.5.0-2

Total Installed Size:  97.52 MiB

:: Proceed with installation? [Y/n] y
(1/1) checking keys in keyring                                                       [#################################################] 100%
(1/1) checking package integrity                                                     [#################################################] 100%
(1/1) loading package files                                                          [#################################################] 100%
(1/1) checking for file conflicts                                                    [#################################################] 100%
(1/1) checking available disk space                                                  [#################################################] 100%
:: Running pre-transaction hooks...
(1/1) Performing snapper pre snapshots for the following configurations...
==> root: 596
:: Processing package changes...
(1/1) installing nordvpn-live-bin                                                    [#################################################] 100%
:: In order to enable nordvpn you have to start the following service:
     sudo systemctl enable --now nordvpnd
:: You have to add yourself to the nordvpn group:
     sudo gpasswd -a USERNAME nordvpn
:: You then have to restart for the group to be created:
     reboot
Optional dependencies for nordvpn-live-bin
    nordvpn-gui: Graphical Interface for NordVPN
:: Running post-transaction hooks...
(1/7) Creating system user accounts...
Creating group 'nordvpn' with GID 954.
(2/7) Creating temporary files...
(3/7) Reloading system manager configuration...
(4/7) Arming ConditionNeedsUpdate...
(5/7) Updating icon theme caches...
(6/7) Updating the desktop file MIME type cache...
(7/7) Performing snapper post snapshots for the following configurations...
==> root: 597